# Created by pyp2rpm-3.3.8
%global pypi_name pydrive2
%global srcname PyDrive2
%global pypi_version 1.10.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        Google Drive API made easy. Maintained fork of PyDrive
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/iterative/PyDrive2
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(google-api-python-client)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(oauth2client)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(pyopenssl)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(furo)

%description
PyDrive2 is a wrapper library of google-api-python-client that simplifies many
common Google Drive API V2 tasks. It is an actively maintained fork of PyDrive.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	python3-PyDrive2 = %{version}-%{release}
Obsoletes:	python3-pydrive < 1.3.1-2

%description -n python3-%{pypi_name}
PyDrive2 is a wrapper library of google-api-python-client that simplifies many
common Google Drive API V2 tasks. It is an actively maintained fork of PyDrive.

%prep
%autosetup -n %{srcname}-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.*
%doc html
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{srcname}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Sun May 29 2022 wally <wally> 1.10.1-1.mga9
+ Revision: 1860666
- imported package python-pydrive2

